package com.mortals.xhx.module.attendance.service.work;

import com.mortals.xhx.common.code.TypeEnum;
import lombok.extern.slf4j.Slf4j;

/**
 * 排班值
 *
 * @author:
 * @date: 2023/7/31 15:15
 */
@Slf4j
public class ScheduleWorkAttendance extends AttendanceWorkAbstract {


    public ScheduleWorkAttendance(int type) {
        super(type);
    }

    @Override
    int getType() {
        return TypeEnum.自由工时.getValue();
    }

    @Override
    void initData() {

    }

    @Override
    public void doHandleWork(CommonData commonData) {
//todo
    }
}
